Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056852 - Update the Dashboard content to reflect latest changes.
Summary: Update the Dashboard content to reflect latest changes.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-User_Guide
Version: 4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Deepti Navale
QA Contact: Don Domingo
URL:
Whiteboard:
Depends On:
Blocks: 1056862 1059977 1061510
TreeView+ depends on / blocked
 
Reported: 2014-01-23 04:43 UTC by Deepti Navale
Modified: 2014-09-04 13:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1056862 1059977 1061510 (view as bug list)
Environment:
Last Closed: 2014-09-04 13:07:25 UTC


Attachments (Terms of Use)

Description Deepti Navale 2014-01-23 04:43:02 UTC
Description of problem:

For RHELOSP 4.0 release, there have been some updates to the OpenStack Dashboard. For example, the inclusion of a new 'Red Hat' tab. The other pop-up windows (to create image, instance, network etc) need to be verified too.

Comment 3 Deepti Navale 2014-01-31 00:37:54 UTC
Ensure the procedures are updated to include any dashboard changes.

Comment 4 Deepti Navale 2014-03-25 23:53:49 UTC
Fixed upstream. Available for QE once the doc is converted to RH brand.

Updated Procedures:
https://review.openstack.org/76403 - Create Images
https://review.openstack.org/77500 - Launch Instances
https://review.openstack.org/77780 - Manage Volumes

New Procedures:
https://review.openstack.org/73909 - Create a router
https://review.openstack.org/74259 - Create and manage object containers

Comment 5 Deepti Navale 2014-05-09 05:56:55 UTC
More updates upstream. Available for QE once the doc is converted to RH brand.

Updates:

https://review.openstack.org/90625/ (Dashboard Overview)
 *** Images & Snapshots is now Image. Snapshots are available under Images.
 *** Volume Snapshots are in a new tab under Volumes.
 *** New Host Aggregates tab
 *** System Info now has only Services, Compute Services, Network Agents tabs.
 *** Identity panel has Projects and Users only. No more Domains, Groups, and Roles.

https://review.openstack.org/91736/ (Instances)
 *** Delete on Terminate button.
 *** Minor changes to 'Create Instance Snapshots' procedure.

https://review.openstack.org/90861/ (Volumes)
 *** New 'Availability Zone' field in 'Create Volume' window.
 *** New button for 'Edit Volume'
 *** New procedure to create volume snapshots.

https://review.openstack.org/87854/ (Images)
 *** New field, Architecture in 'Create Image' window.

https://review.openstack.org/88143 (Containers)
 *** Copy an object from one container to another.

Comment 9 Don Domingo 2014-06-18 06:08:21 UTC
I've reviewed the edits, and noticed the following:

* The screenshots in the upstream patch are different from the actual build, understandably as the build uses RHELOSP-specific screenshots
* "Create and manage instanes" title has been renamed to "Launch and manage instances".

Both seem acceptable changes either way, so I'll set this now to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.